Skip to main content
GET
Get policy

Path Parameters

workspaceId
string<uuid>
required

Workspace identifier.

policyId
string<uuid>
required

Id of the policy.

Response

Response type for a workspace policy.

Response type for a workspace policy.

createdAt
string<date-time>
required

When the policy was created.

createdBy
object
required

Account that created this policy.

definition
object
required

The structured policy body consumed by the engine (the current version).

displayName
string
required

Human-readable policy display name.

id
string<uuid>
required

Unique identifier of the policy.

kind
required

How the policy came to exist. A one-shot policy (minted from labels) is content-addressed, deduplicated, and immutable; an authored policy is a normal, editable policy.

Allowed value: "authored"
updatedAt
string<date-time>
required

When the policy was last updated.

versionNumber
integer<int32>
required

The current version number of the policy's definition.

workspaceHandle
string
required

URL-safe workspace handle. Display-only.

Required string length: 3 - 32
Pattern: ^[a-z0-9]+(?:-[a-z0-9]+)*$
workspaceId
string<uuid>
required

Unique identifier of the workspace.

description
string

Policy description.